//
//  TN_yingXiangViewController.m
//  TNVideoPalyDemo
//
//  Created by TigerNong on 2017/6/1.
//  Copyright © 2017年 TigerNong. All rights reserved.
//

#import "TN_yingXiangViewController.h"

@interface TN_yingXiangViewController ()
@property (weak, nonatomic) IBOutlet UIScrollView *scrollView;

@property (nonatomic, strong) NSArray *titles;

@property (nonatomic, strong) NSMutableArray *selectArr;

@end

@implementation TN_yingXiangViewController


- (NSMutableArray *)selectArr{
    if (!_selectArr) {
        _selectArr = [NSMutableArray array];
    }
    return _selectArr;
}

- (NSArray *)titles{
    if (!_titles) {
        _titles = @[@"气质",@"清纯",@"性感",@"游戏大神",@"御姐",@"美妆达人",@"旅游用户",@"潮范儿",@"活泼开朗",@"才艺",@"好声音",@"舞蹈达人",@"有才",@"学生",@"二次元",@"神似明星"];
    }
    return _titles;
}

- (void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    
    [self.navigationController.navigationBar setBackgroundImage:nil forBarMetrics:UIBarMetricsDefault];
  
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self setUpTitles];
   
}

- (void)setUpTitles{
    
    CGFloat w = [UIScreen mainScreen].bounds.size.width / 4;
    CGFloat h = 40;
    CGFloat margin = 10;
    
    NSMutableArray *jArr = [NSMutableArray array];
    NSMutableArray *oArr = [NSMutableArray array];
    
    //创建所有的按钮
    for (NSInteger i = 0; i < self.titles.count; i++) {
        UIButton *button = [[UIButton alloc] init];
        [self.scrollView addSubview:button];
        button.tag = i + 100;
        
        //判断按钮所处的是偶数排还是奇数排
        if (i / 4 % 2 == 0) {
            [oArr addObject:button];
        }else{
            [jArr addObject:button];
        }
        
        [button setTitle:self.titles[i] forState:UIControlStateNormal];
        [button setTitleColor:[UIColor orangeColor] forState:UIControlStateNormal];
        [button setTitleColor:[UIColor whiteColor] forState:UIControlStateSelected];
        
        button.titleLabel.font = [UIFont systemFontOfSize:17];
        button.layer.cornerRadius = 20;
        button.layer.masksToBounds = YES;
        button.layer.borderColor = [UIColor orangeColor].CGColor;
        button.layer.borderWidth = 2;
        
        button.backgroundColor = [UIColor whiteColor];
        [button addTarget:self action:@selector(selectTitle:) forControlEvents:UIControlEventTouchUpInside];
        
    }
    
    //设置偶数排得frame
    for (UIButton *button in oArr) {
        CGFloat x = ((button.tag - 100) % 4) * (w + margin) + margin;
        
        CGFloat y = ((button.tag - 100) / 4) * (h + margin) + margin;
        
        button.frame = CGRectMake(x, y, w, h);

    }
    
    //设置奇数排得frame
    for (UIButton *button in jArr) {
        CGFloat x = ((button.tag - 100) % 4) * (w + margin) + margin + 0.5 * w;
        
        CGFloat y = ((button.tag - 100) / 4) * (h + margin) + margin;
        
        button.frame = CGRectMake(x, y, w, h);
    }
    
    self.scrollView.contentSize = CGSizeMake(4 * w + 5 * margin + 0.5 * w, 0);
    
}

- (void)selectTitle:(UIButton *)button{
    
    if (!button.selected) {
       
        if (self.selectArr.count < 3) {
            
            [button setBackgroundColor:[UIColor orangeColor]];
            [self.selectArr addObject:[NSString stringWithFormat:@"%ld",button.tag]];
        }else{
            NSString *indexStr = self.selectArr[0];
            NSInteger index = [indexStr integerValue];
            UIButton *btn = self.scrollView.subviews[index - 100];
            [btn setBackgroundColor:[UIColor whiteColor]];
            btn.selected = NO;
        [self.selectArr removeObject:[NSString stringWithFormat:@"%ld",btn.tag]];

            
            [button setBackgroundColor:[UIColor orangeColor]];
            [self.selectArr addObject:[NSString stringWithFormat:@"%ld",button.tag]];
        }
    }else{
        
        if ([self.selectArr containsObject:[NSString stringWithFormat:@"%ld",button.tag]]) {
            
            [self.selectArr removeObject:[NSString stringWithFormat:@"%ld",button.tag]];
        }
    }
    
    button.selected = !button.selected;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
   
}



@end
